Debian Bug report logs - #673958
ITA: createrepo -- generates the metadata necessary for a RPM package repository

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ana Guerrero <ana@debian.org>

Date: Tue, 22 May 2012 08:54:02 UTC

Owned by: Mike Miller <mtmiller@ieee.org>

Severity: normal

Fixed in version createrepo/0.9.9-1

Done: Mike Miller <mtmiller@ieee.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gandalf@le-vert.net, wnpp@debian.org:
Bug#673958; Package wnpp. (Tue, 22 May 2012 08:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
New Bug report received and forwarded. Copy sent to gandalf@le-vert.net, wnpp@debian.org. (Tue, 22 May 2012 08:54:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: submit@bugs.debian.org
Subject: O: createrepo -- generates the metadata necessary for a RPM package repository
Date: Tue, 22 May 2012 10:50:56 +0200
Package: wnpp
Severity: normal

The current maintainer of createrepo, Adam Cécile (Le_Vert) <gandalf@le-vert.net>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: createrepo
Binary: createrepo
Version: 0.4.11-1
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python-all-dev (>= 2.3.5-11), python-support (>= 0.5.3)
Architecture: all
Standards-Version: 3.7.3
Format: 1.0
Files:
 357169e4b38e9267b6176c05c4202281 717 createrepo_0.4.11-1.dsc
 3e9ccf4abcffe3f49af078c83611eda2 38694 createrepo_0.4.11.orig.tar.gz
 076122c0819472d97c23267db7fa4ba9 1974 createrepo_0.4.11-1.diff.gz
Checksums-Sha1:
 f624263839b8fb5965c063662a020e78eed59082 717 createrepo_0.4.11-1.dsc
 7d4127002dbabadfaba5f8ea4a97742a0ca86ff2 1974 createrepo_0.4.11-1.diff.gz
 10316e9ee98e92f961c727cf991589611a2de7cb 38694 createrepo_0.4.11.orig.tar.gz
Checksums-Sha256:
 76698b62b3a2ef6436cfb03aa26a4e4df4e1d2fc3224aece95f67af33bfc7c57 717 createrepo_0.4.11-1.dsc
 8e61f43c43bbc0ceae401a2041df7d39397b5d9f99cee566c01ff93052746a30 1974 createrepo_0.4.11-1.diff.gz
 a73ae11a0dcde8bde36d900bc3f7f8f1083ba752c70a5c61b72d1e1e7608f21b 38694 createrepo_0.4.11.orig.tar.gz
Homepage: http://linux.duke.edu/projects/metadata/
Directory: pool/main/c/createrepo
Priority: source
Section: admin

Package: createrepo
Version: 0.4.11-1
Installed-Size: 164
Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Architecture: all
Depends: python (>= 2.3), python-libxml2, python-rpm, python-sqlitecachec, python-support (>= 0.7.1), rpm (>= 4.1.1)
Description-en: generates the metadata necessary for a RPM package repository
 This tool will generates all XML metadata required by a RPM (Redhat Package
 Manager) package repository.
 .
 This repository format is supported by apt, red-carpet(zen), smart, up2date,
 Yast and yum.
Homepage: http://linux.duke.edu/projects/metadata/
Description-md5: 44e0fd31ea891f4eba95cb0ef61d9fe2
Tag: admin::package-management, implemented-in::python,
 interface::commandline, role::program, scope::utility,
 works-with::software:package
Section: admin
Priority: optional
Filename: pool/main/c/createrepo/createrepo_0.4.11-1_all.deb
Size: 26774
MD5sum: ad4363469ed497e3d6f49b3d264a1830
SHA1: 34e949ee2f23ff6785a7a2d96c72e7cd1f395114
SHA256: 56f3fefccf95693ea556419dff593eb37c1eadfe759f82b733508a6c3807ba40





Changed Bug title to 'ITP: createrepo -- generates the metadata necessary for' from 'O: createrepo -- generates the metadata necessary for a RPM package repository' Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 12:57:25 GMT) Full text and rfc822 format available.

Owner recorded as Mike Miller <mtmiller@ieee.org>. Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 12:57:27 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: createrepo -- generates the metadata necessary for a RPM package repository' from 'ITP: createrepo -- generates the metadata necessary for' Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 13:03:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: createrepo -- generates the metadata necessary for a RPM package repository' from 'ITP: createrepo -- generates the metadata necessary for a RPM package repository' Request was from Mike Miller <mtmiller@ieee.org> to control@bugs.debian.org. (Thu, 12 Jul 2012 01:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#673958; Package wnpp. (Mon, 08 Apr 2013 04:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Miller <mtmiller@ieee.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Apr 2013 04:09:11 GMT) Full text and rfc822 format available.

Message #18 received at 673958@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: 673958@bugs.debian.org
Subject: createrepo update
Date: Mon, 8 Apr 2013 00:06:52 -0400
Just noting that I am indeed working on this package despite a long
delay due to the freeze and other priorities. Packaging work in
progress is available at

git://anonscm.debian.org/users/mtmiller-guest/createrepo.git
http://anonscm.debian.org/git/users/mtmiller-guest/createrepo.git

-- 
mike



Reply sent to Mike Miller <mtmiller@ieee.org>:
You have taken responsibility. (Mon, 19 Aug 2013 06:36:13 GMT) Full text and rfc822 format available.

Notification sent to Ana Guerrero <ana@debian.org>:
Bug acknowledged by developer. (Mon, 19 Aug 2013 06:36:13 GMT) Full text and rfc822 format available.

Message #23 received at 673958-close@bugs.debian.org (full text, mbox):

From: Mike Miller <mtmiller@ieee.org>
To: 673958-close@bugs.debian.org
Subject: Bug#673958: fixed in createrepo 0.9.9-1
Date: Mon, 19 Aug 2013 06:32:59 +0000
Source: createrepo
Source-Version: 0.9.9-1

We believe that the bug you reported is fixed in the latest version of
createrepo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673958@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Miller <mtmiller@ieee.org> (supplier of updated createrepo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 19 Aug 2013 01:39:04 -0400
Source: createrepo
Binary: createrepo
Architecture: source all
Version: 0.9.9-1
Distribution: unstable
Urgency: low
Maintainer: Mike Miller <mtmiller@ieee.org>
Changed-By: Mike Miller <mtmiller@ieee.org>
Description: 
 createrepo - tool to generate the metadata for a yum repository
Closes: 463571 673958 682149 682151
Changes: 
 createrepo (0.9.9-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #463571)
     - createrepo --help now mentions --split option. (Closes: #682151)
     - No longer use deprecated md5 and sha modules. (LP: #530015)
   * New maintainer. (Closes: #673958) Thanks to Adam for his work.
   * debian/patches/01_fix-man-page-options.patch: Escape dashes in
     command-line options in man pages.
   * Cherry-pick fixes from upstream git:
     - debian/patches/02_drop-unused-imports.patch: Fix incorrect call of
       function imported from createrepo.utils.
     - debian/patches/03_fix-getting-YumAvailablePackage-local-path.patch: Fix
       getting path from repository packages.
     - debian/patches/04_fix-writing-additional-metadata.patch: Fix writing
       metadata when merging repositories.
     - debian/patches/05_fix-handling-remote-packages.patch: Fix handling
       remote packages when writing repository metadata.
   * debian/source/format: Update source format to 3.0 (quilt).
   * Bump debhelper compatibility level to 9.
   * Update packaging to current Python Policy recommendations:
     - debian/rules: Switch to using dh --with python2.
     - Add Build-Depends on python-all (>= 2.6.6-3~) for switch to building
       with dh_python2.
     - Drop Build-Depends on python-all-dev, package is not building Python
       extensions.
     - Drop Build-Depends on deprecated python-support, now using dh_python2.
     - Add X-Python-Version control field.
     - Drop obsolete debian/pyversions.
   * Install bash completion support:
     - Add Build-Depends on bash-completion.
     - Install createrepo.bash using dh_bash-completion.
   * debian/rules: Install the createrepo python module for all supported
     python versions.
   * debian/control:
     - Add Depends on ${misc:Depends}, deltarpm, python-deltarpm, and
       yum (>= 3.2.29).
     - Update package description.
     - Update Homepage control field to correct upstream URL. (Closes: #682149)
     - Set Priority to extra because Depends includes other extra packages.
     - Add Vcs-Git and Vcs-Browser fields.
     - Bump Standards-Version to 3.9.4. No further changes needed.
   * debian/copyright: Convert to machine-readable format 1.0.
   * debian/watch: Update to correct upstream URL.
Checksums-Sha1: 
 2a09a176d7f42f59448dd62a258a191917897f75 1929 createrepo_0.9.9-1.dsc
 e4ff7aac85eb2c8d077910e6921c621b4eae256e 65114 createrepo_0.9.9.orig.tar.gz
 bc58fb8a278cc91e5348ef9075ba0287db91207d 7012 createrepo_0.9.9-1.debian.tar.gz
 2d634b78d5784ccad6a03d502ff7d6f5644cd1e4 44826 createrepo_0.9.9-1_all.deb
Checksums-Sha256: 
 57e7f5cc56dc097d45609bf584e8beac361633055fb182d7acdc667d1aac3932 1929 createrepo_0.9.9-1.dsc
 ee897463837b299fb20bf6e970f8c5324cd8b7f26ad3675a9938a2d7ae42ff03 65114 createrepo_0.9.9.orig.tar.gz
 9c57fa84c9afc101eb3bb7d062fec8ac6e65ce9d211d5c68a5e5a489cd5e3b8c 7012 createrepo_0.9.9-1.debian.tar.gz
 1e26890ae6e408e56ab6cf04cd3c7eb5a8c4b666537d70b9f2a63fb35fdc43ac 44826 createrepo_0.9.9-1_all.deb
Files: 
 5b637d075385989ee2e4c1b92ff5ad92 1929 admin extra createrepo_0.9.9-1.dsc
 10641f19a40e9f633b300e23dde00349 65114 admin extra createrepo_0.9.9.orig.tar.gz
 9c7b6d91fb848cb90c3830dff210681a 7012 admin extra createrepo_0.9.9-1.debian.tar.gz
 4d6941c568a072dea615d6a4ddbb9382 44826 admin extra createrepo_0.9.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJSEbotAAoJEE5xYO1KyO4dv/MP/1TM7SxmV4ozMN/5bB4TUWUR
TQ+S2184UE6ERvKy+2cgjiHtibnye+tClM2TTIEist/tC1V2VKa8zcGHTzmlU72h
2I6lIvxhMh8HQi9rT4doOuhXwtpnHQWKeAWb7fBL2utQuyjTQNqks24i5a6TQ8FZ
5aACtOKhL3M5CG4viTqNIKyr/cit0lGrB1whKbqtIukdCnfTH3fZIP4cWooYOf5G
y2QvQzr41SgLOOqundoYVsilq9alN3tVWYJhQaE2AOE5RRau7c8WZ84XvXfZ2vbM
kgx8HIqUEaORqwobdYBte+kGSJPlEu+tDbDAomiNwWID2lTkYhsRlS3b91JP5ZVL
Qni1PwpKSOC7/NaXvqKi0c6G71jmBfXNP9/vBef8/LtLD0Dl72zvwFAv2c0nFvWG
nd6rke+dzb8xTzEE5ze4nfWARyNhKN6wIaZ944G6YTqY+KrEVVcodl4LeUO3JE/+
3ROSevhvZ2Iz2ntiyEBzXUvj2BsHra5kzMIbTEwaMgUUvKHdCyuwm8I6OLA6nOoQ
5giR5ighdQcPEvgnc1FQt5liQ4KkizICTXEan1SvSDixDmfwnOJs1qXbJirW7SLD
HxMYXraBD/mRHdaPMl3e4ZD5RwIFEYhtWdt62tBdCwTrlNmR4bJYV4ua5u5kCaRZ
mq2xd1ntRey1Qam6+Ppi
=glMb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Sep 2013 07:31:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:29:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.